<template>
  <div id="app">
    <router-view />
    <notifications group="foo" />
    <vLoading :loadinger="loading" />
  </div>
</template>

<style src="@/vendor/styles/bootstrap.scss" lang="scss"></style>
<style src="@/vendor/styles/appwork.scss" lang="scss"></style>
<!-- <style src="@/vendor/styles/theme-corporate.scss" lang="scss"></style> -->
<style src="@/vendor/styles/theme-basic.scss" lang="scss"></style>
<style src="@/vendor/styles/colors.scss" lang="scss"></style>
<style src="@/vendor/styles/uikit.scss" lang="scss"></style>
<style src="./style.scss" lang="scss"></style>

<script>
export default {
  name: 'app',
  metaInfo: {
    title: '首页',
    titleTemplate: '人员管理-%s'
  },
  computed: {
    loading() {
      return this.$store.state.loading
    }
  },
  updated () {
    // Remove loading state
    setTimeout(() => document.body.classList.remove('app-loading'), 1)
  }
}
</script>
